Package io.vertx.openapi.validation.transformer

## Class LabelTransformer

- java.lang.Object
- - io.vertx.openapi.validation.transformer.ParameterTransformer
  - - io.vertx.openapi.validation.transformer.LabelTransformer

-     public class LabelTransformer
      extends ParameterTransformer

  +--------+---------+--------+-------------+------------------------------+-------------------------------+ | style | explode | empty | string | array | object | +--------+---------+--------+-------------+------------------------------+-------------------------------+ | label | false | . | .blue | .blue,black,brown (RFC-6570) | .R,100,G,200,B,150 | +--------+---------+--------+-------------+------------------------------+-------------------------------+ | label | true | . | .blue | .blue.black.brown | .R=100.G=200.B=150 | +--------+---------+--------+-------------+------------------------------+-------------------------------+

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LabelTransformer()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected String[]` | `getArrayValues​(Parameter parameter, String rawValue)` |
    `protected String[]` | `getObjectKeysAndValues​(Parameter parameter, String rawValue)` |
    `Object` | `transform​(Parameter parameter, String rawValue)` | Transforms the raw value from its `String` representation into JSON.

    - ### Methods inherited from class io.vertx.openapi.validation.transformer.ParameterTransformer

      `transformArray, transformObject, transformPrimitive`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LabelTransformer

          public LabelTransformer()

  - ### Method Detail

    - #### transform

          public Object transform​(Parameter parameter,
                                  String rawValue)

      Description copied from class: `ParameterTransformer`
      Transforms the raw value from its `String` representation into JSON. This method does not only decode a `String`, it also takes the different `styles` into account}.
      Overrides:
        `transform` in class `ParameterTransformer`
      Parameters:
        `parameter` - The parameter model
        `rawValue` - The parameter value
      Returns:
        An `Object` holding the transformed value.

    - #### getArrayValues

          protected String[] getArrayValues​(Parameter parameter,
                                            String rawValue)

      Specified by:
        `getArrayValues` in class `ParameterTransformer`

    - #### getObjectKeysAndValues

          protected String[] getObjectKeysAndValues​(Parameter parameter,
                                                    String rawValue)

      Specified by:
        `getObjectKeysAndValues` in class `ParameterTransformer`